#
# spec file for package radiusd-livingston (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         radiusd-livingston
Copyright:    BSD Type
Group:        Networking/Daemons
Provides:     radius radiusd 
Obsoletes:    radiusd
Conflicts:    radiusd-cistron
Autoreqprov:  on
Version:      2.1
Release:      102
Summary:      Radius Server
Url:          http://www.livingston.com/tech/docs/radius/RADIUSIX.html
Source:       radius21.tar.bz2
Source1:      radius-2.1-pam_service
Source2:      rc.radiusd
Source3:      rc.config.radiusd
Patch:        radius-2.1-pam.patch
Patch1:       radius-%{version}.dif
Patch2:       radius-%{version}-ia64.dif
Patch3:       radius-%{version}-raddb.dif
BuildRoot:    /var/tmp/%{name}-build

%description
radiusd-livingston is the Lucent Technologies radius server.  It provides remote
authentication an accounting services; it e.g. use by Lucent Portmaster
products (you guessed) for login authentication and logging.

Authors:
--------
    Lucent Technologies

SuSE series: n

%define prefix   /usr
%prep
%setup -n radius
%patch
%patch1
%patch2
%patch3

%build
cd src
make all

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}/{etc/{init.d,raddb/menus,pam.d},%{prefix}/{sbin,bin}}
install -d ${RPM_BUILD_ROOT}/var/adm/fillup-templates
install -m 644 %{S:1} ${RPM_BUILD_ROOT}/etc/pam.d/radiusd
install -m 755 %{S:2} ${RPM_BUILD_ROOT}/etc/init.d/radiusd
install -m 644 %{S:3} ${RPM_BUILD_ROOT}/var/adm/fillup-templates
cp -a raddb/ ${RPM_BUILD_ROOT}/etc/
install -s -m 755 src/radiusd ${RPM_BUILD_ROOT}/%{prefix}/sbin/
install -s -m 755 src/{builddbm,testuser,dbmkeys,dbmrec,radtest,md5test} ${RPM_BUILD_ROOT}/%prefix/bin/
ln -sf ../../etc/init.d/radiusd ${RPM_BUILD_ROOT}/usr/sbin/rcradiusd
install -d -m 755 ${RPM_BUILD_ROOT}/var/log/radiusd
touch ${RPM_BUILD_ROOT}/var/log/radiusd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.radiusd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.radiusd and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/radiusd

%postun
sbin/insserv

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README
/usr/sbin/*
/usr/bin/*
%config /etc/pam.d/radiusd
/etc/init.d/radiusd
%dir /etc/raddb
%config(noreplace) /etc/raddb/clients
%config /etc/raddb/config.aeg.example
%config /etc/raddb/dictionary
%config /etc/raddb/menus/menu1
%config /etc/raddb/menus/menu2
%config /etc/raddb/proxy
%config(noreplace) /etc/raddb/users
/var/adm/fillup-templates/*
%ghost /var/log/radiusd

%changelog -n radiusd-livingston
* Tue Sep 18 2001 - kukuk@suse.de
- Change pam config file to our standard configuration
* Tue Sep 18 2001 - cihlar@suse.cz
- fixed bug [#10210]:
  changed file permissions of /etc/pam.d/radiusd to 0644
  use pam_unix.so instead of pam_pwdb.so
  fixed /etc/raddb/users
* Thu Aug 09 2001 - cihlar@suse.cz
- fixed name of variables in init script [#9645]
* Wed Jun 06 2001 - schwab@suse.de
- Fix invalid cast.
- Fix format strings.
- Fix conflicting declarations.
- Fix types for 64bit architectures.
* Tue Jun 05 2001 - cihlar@suse.cz
- removed complete path from PAM modules
* Thu May 24 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Mon Feb 26 2001 - cihlar@suse.cz
- updated to version 2.1
* Wed Nov 29 2000 - smid@suse.cz
- renamed: radiusd => radiusd-livingston
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Tue Nov 14 2000 - smid@suse.cz
- conflits changed (cistron => radiusd-cistron)
* Thu Jun 08 2000 - cihlar@suse.cz
- Group sorted
* Mon Mar 06 2000 - stark@suse.de
- add conflicts with package cistron
* Mon Nov 29 1999 - kukuk@suse.de
- fix spec file for libcrypt
* Mon Sep 20 1999 - uli@suse.de
- fixed spec for PPC (-lcrpyt)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Feb 03 1999 - ro@suse.de
- use lcrypt on alpha as well
* Wed Oct 07 1998 - ro@suse.de
- link with lcrypt for glibc
* Wed Feb 11 1998 - tmg@suse.de
- fixed bug in acct.c - digest not correctly calced for accounting
  requests
* Tue Feb 10 1998 - tmg@suse.de
- changed radiusd.c to take absolute pathname for RADIUS_LOG
- changed radius.h to make RADIUS_LOG go to /var/log/radiusd
- changed default clients and users file to allow simple
  testing of radlogin from radiusc-Package
* Fri Feb 06 1998 - tmg@suse.de
- Changed Makefile und radius.h to fit S.u.S.E.
- Configuration files go to /etc/radiusd
- Accounting data goes to /var/radiusd
